BLK_SYNC_QUEUE(9)

NAME
blk_sync_queue - cancel any pending callbacks on a queue

SYNOPSIS

void blk_sync_queue (struct request_queue * q);

ARGUMENTS

q   the queue

DESCRIPTION

The block layer may perform asynchronous callback activity on a queue, such as calling the unplug function after a timeout. A block device may call blk_sync_queue to ensure that any such activity is cancelled, thus allowing it to release resources the the callbacks might use. The caller must already have made sure that its ->make_request_fn will not re-add plugging prior to calling this function.